Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Name_Request Class Reference

Message format for delivering requests to the ACE_Name Server. More...

`#include <Name_Request_Reply.h>`

Collaboration diagram for ACE_Name_Request:

[legend]
List of all members.

## Public Types
enum | Constants { BIND = 01, REBIND = 02, RESOLVE = 03, UNBIND = 04, LIST_NAMES = 05, LIST_VALUES = 015, LIST_TYPES = 025, LIST_NAME_ENTRIES = 06, LIST_VALUE_ENTRIES = 016, LIST_TYPE_ENTRIES = 026, MAX_ENUM = 11, MAX_LIST = 3, OP_TABLE_MASK = 07, LIST_OP_MASK = 030, MAX_NAME_LENGTH = MAXPATHLEN + 1 }
| Request message types. More...
## Public Methods
| ACE_Name_Request (void)
| Default constructor.
| ACE_Name_Request (ACE_INT32 msg_type, const ACE_USHORT16 name[], const size_t name_length, const ACE_USHORT16 value[], const size_t value_length, const char type[], const size_t type_length, ACE_Time_Value *timeout = 0)
| Create a message.
void | init (void)
| Initialize length_ in order to ensure correct byte ordering before a request is sent.
ACE_UINT32 | length (void) const
void | length (ACE_UINT32)
ACE_INT32 | msg_type (void) const
void | msg_type (ACE_INT32)
ACE_UINT32 | block_forever (void) const
void | block_forever (ACE_UINT32)
ACE_Time_Value | timeout (void) const
void | timeout (const ACE_Time_Value timeout)
const ACE_USHORT16* | name (void) const
void | name (const ACE_USHORT16 *)
const ACE_USHORT16* | value (void) const
void | value (const ACE_USHORT16 *)
const char* | type (void) const
void | type (const char *)
ACE_UINT32 | name_len (void) const
void | name_len (ACE_UINT32)
ACE_UINT32 | value_len (void) const
void | value_len (ACE_UINT32)
ACE_UINT32 | type_len (void) const
void | type_len (ACE_UINT32)
int | encode (void *&)
| Encode the message before transmission.
int | decode (void)
| Decode message after reception.
void | dump (void) const
| Print out the values of the message for debugging purposes.
## Private Attributes
Transfer | transfer_
| Transfer buffer.
ACE_USHORT16* | name_
| Pointer to the beginning of the name in this->data_.
ACE_USHORT16* | value_
| Pointer to the beginning of the value in this->data_;.
char* | type_
| Pointer to the beginning of the type in this->data_;.

## Detailed Description

Message format for delivering requests to the ACE_Name Server.

This class is implemented to minimize data copying. In particular, all marshaling is done in situ...

## Member Enumeration Documentation

enum ACE_Name_Request::Constants

  | Request message types. Enumeration values:
  BIND |
  REBIND |
  RESOLVE |
  UNBIND |
  LIST_NAMES |
  LIST_VALUES |
  LIST_TYPES |
  LIST_NAME_ENTRIES |
  LIST_VALUE_ENTRIES |
  LIST_TYPE_ENTRIES |
  MAX_ENUM |
  MAX_LIST |
  OP_TABLE_MASK | Mask for lookup of operation.
  LIST_OP_MASK | Mask for lookup of list_operation.
  MAX_NAME_LENGTH | Class-specific constant values.

## Constructor & Destructor Documentation

ACE_Name_Request::ACE_Name_Request ( | void )`[inline]`

| Default constructor.

ACE_Name_Request::ACE_Name_Request ( | ACE_INT32 msg_type,
| const ACE_USHORT16 name[],
| const size_t name_length,
| const ACE_USHORT16 value[],
| const size_t value_length,
| const char type[],
| const size_t type_length,
| ACE_Time_Value * timeout = 0 )

| Create a message.

## Member Function Documentation

void ACE_Name_Request::block_forever ( | ACE_UINT32 bs )

ACE_UINT32 ACE_Name_Request::block_forever ( | void ) const

int ACE_Name_Request::decode ( | void )

| Decode message after reception.

void ACE_Name_Request::dump ( | void ) const

| Print out the values of the message for debugging purposes.

int ACE_Name_Request::encode ( | void *& buf )

| Encode the message before transmission.

void ACE_Name_Request::init ( | void )

| Initialize length_ in order to ensure correct byte ordering before a request is sent.

void ACE_Name_Request::length ( | ACE_UINT32 l )

ACE_UINT32 ACE_Name_Request::length ( | void ) const

void ACE_Name_Request::msg_type ( | ACE_INT32 t )

ACE_INT32 ACE_Name_Request::msg_type ( | void ) const

void ACE_Name_Request::name ( | const ACE_USHORT16 * t )

const ACE_USHORT16 * ACE_Name_Request::name ( | void ) const

void ACE_Name_Request::name_len ( | ACE_UINT32 t )

ACE_UINT32 ACE_Name_Request::name_len ( | void ) const

void ACE_Name_Request::timeout ( | const ACE_Time_Value timeout )

ACE_Time_Value ACE_Name_Request::timeout ( | void ) const

void ACE_Name_Request::type ( | const char * c )

const char * ACE_Name_Request::type ( | void ) const

void ACE_Name_Request::type_len ( | ACE_UINT32 t )

ACE_UINT32 ACE_Name_Request::type_len ( | void ) const

void ACE_Name_Request::value ( | const ACE_USHORT16 * c )

const ACE_USHORT16 * ACE_Name_Request::value ( | void ) const

void ACE_Name_Request::value_len ( | ACE_UINT32 t )

ACE_UINT32 ACE_Name_Request::value_len ( | void ) const

## Member Data Documentation

ACE_USHORT16 * ACE_Name_Request::name_`[private]`

| Pointer to the beginning of the name in this->data_.

Transfer ACE_Name_Request::transfer_`[private]`

| Transfer buffer.

char * ACE_Name_Request::type_`[private]`

| Pointer to the beginning of the type in this->data_;.

ACE_USHORT16 * ACE_Name_Request::value_`[private]`

| Pointer to the beginning of the value in this->data_;.

The documentation for this class was generated from the following files:

- Name_Request_Reply.h
- Name_Request_Reply.cpp